# Uses of Interface
com.sun.mirror.apt.RoundState

Packages that use RoundState
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.

## Uses of RoundState in com.sun.mirror.apt

Methods in com.sun.mirror.apt that return RoundState
Modifier and Type
Method
Description
`RoundState`
RoundCompleteEvent.`getRoundState()`
Return round state.
Constructors in com.sun.mirror.apt with parameters of type RoundState
Modifier
Constructor
Description
`protected`
`RoundCompleteEvent(AnnotationProcessorEnvironment source, RoundState rs)`
The current `AnnotationProcessorEnvironment` is regarded as the source of events.